Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Battery firmware 2.0.0.0 vs. 2.6.0.0

Discussion in 'Firmware' started by antares, Mar 22, 2015.

  1. antares

    Joined:
    Oct 28, 2014
    Messages:
    57
    Likes Received:
    8
    Location:
    Philippines
    Hi all,
    my P2 has latest firmware 3.12, the battery i was always flying with has firmware 2.0.0.0. No problems so far.
    Today i put another battery, a few weeks older than the first one but still the new batch with rectangle shape contacts. That battery has 30 cycles or so, no problems before.
    After powering on, the red leds were blinking fast, did not turn to green. I could lift off, but didn'n want to take the risk.
    Was thinking it might want to have the compass calibrated, ran the calibration 10 times with no avail.
    I connected to P2 to my pc which runs assistant software 3.8 and checked out the batteries.
    The first one (good one) has firmware 2.0.0.0, the second one (bad one) has firmware 2.6.0.0.
    So it appears that the newer battery firmware has a problem, while the older version hasn't.
    Did you guys experience anything like this?
    The assistent software tells me 'no updated available' for both batteries 2.0.0.0 and 2.6.0.0.
    Is there any way to manually downgrade the battery firmware to 2.0.0.0?
    What is the firmware version of the batteries you are using?
    Thank you guys!
    Cheers
     
  2. dirkclod

    dirkclod Moderator
    Staff Member

    Joined:
    May 9, 2014
    Messages:
    10,633
    Likes Received:
    5,698
    Location:
    Amory Mississippi
    I have the same battery's as you and running 3.12 and just checked my 3 battery's and all are 2.6.0.0 and have not had any issues .
     
  3. 4wd

    4wd

    Joined:
    Mar 31, 2014
    Messages:
    2,532
    Likes Received:
    421
    Location:
    North York Moors
    You could go back to previous firmware to check your theory.
     
  4. antares

    Joined:
    Oct 28, 2014
    Messages:
    57
    Likes Received:
    8
    Location:
    Philippines
    How can i go back to an older firmware?
     
  5. 4wd

    4wd

    Joined:
    Mar 31, 2014
    Messages:
    2,532
    Likes Received:
    421
    Location:
    North York Moors
    Download the older assistant, or you might even still have it on your computer?
    When it runs it will not know about 3.12 and will want to install 'the latest' 3.08.
     
  6. antares

    Joined:
    Oct 28, 2014
    Messages:
    57
    Likes Received:
    8
    Location:
    Philippines

    I have both 3.6 and 3.8 assistents installed. And both do not offer any updates. I think the firmware updates are being looked up from dji webserver, so any assistant software will see the same updates, regardless of the software version of the assistant.
     
  7. 4wd

    4wd

    Joined:
    Mar 31, 2014
    Messages:
    2,532
    Likes Received:
    421
    Location:
    North York Moors
  8. jason

    Joined:
    Oct 12, 2014
    Messages:
    4,104
    Likes Received:
    404
    Location:
    Commerce Twp,MI
    Before doing anything check that one of the data pin aren't making contact with the battery. The pins are spring loaded and one might be stuck.
     
  9. antares

    Joined:
    Oct 28, 2014
    Messages:
    57
    Likes Received:
    8
    Location:
    Philippines
    UPDATE:
    1. The one battery running 2.6.0.0 firmware is giving me a "cell warning". So the reason for the red flashing is not a compass, but a battery (or battery firmware?) problem.
    2. The newer battery (the good one) running firmware 2.0.0.0 cannot be updated to 2.6.0.0 which lets me think if 2.6 firmware has been revoked from dji update service?
    Considering 1. + 2. lets me wonder if all the red flashing problem is just a firmware issue?
    Has dji silently removed firmware 2.6 as they became aware of the problem?
    Keep you posted, will continue investigation...
     
  10. p fandango

    Joined:
    Aug 2, 2014
    Messages:
    600
    Likes Received:
    27
    Location:
    Coventry, UK
    2.6 did get dropped, but they never said why. I've got 2 batteries with 2.0 & 2 with 2.6 & all are fine
     
  11. antares

    Joined:
    Oct 28, 2014
    Messages:
    57
    Likes Received:
    8
    Location:
    Philippines
    I guess battery firmware 2.6 has an issue with cell warnings. Too sensitive?
    The battery is still under warranty, will send it back to DJI.
    But will do some testing before...
     
  12. adanac

    Joined:
    Mar 14, 2014
    Messages:
    450
    Likes Received:
    6
    Location:
    NYC
    I have not been able to go back to earlier firmware for the better part of a year. The old method of using an older assistant hasn't worked for me since probably last summer. It still works for others?


     
  13. jason

    Joined:
    Oct 12, 2014
    Messages:
    4,104
    Likes Received:
    404
    Location:
    Commerce Twp,MI
    I'm still v3.6 software and in the firmware v3.08 there is nothing to indicate which firmware a battery has. The P2 assistant under the upgrade tab under battery at the bottom loader V1.5 and firmware v2.6. So how are you coming with 2.0.0.0 or is that in an error message.
     
  14. antares

    Joined:
    Oct 28, 2014
    Messages:
    57
    Likes Received:
    8
    Location:
    Philippines
    I bought a brand new battery straight in the store today.
    It comes with firmware 2.0.0.0!
    Still i cannot prove, but firmware 2.6.0.0 has been dropped for bugs!
     

    Attached Files:

  15. jason

    Joined:
    Oct 12, 2014
    Messages:
    4,104
    Likes Received:
    404
    Location:
    Commerce Twp,MI
    So have tried to roll it back to v3.2 to see what happens with those batteries. Looks like there will be other problems in reverse down the road with the 2.0.0.0 batteries as all mine are 2.6.0.0.
     
  16. antares

    Joined:
    Oct 28, 2014
    Messages:
    57
    Likes Received:
    8
    Location:
    Philippines
    Trying to trick the assistant software to get an unpublished (as of now) battery firmware installed is not the way i want to go... If 2.6.0.0 has been dropped by DJI then we shall blame them for not communicating the reasons or supposed problems with 2.6.0.0. But loading it into my plane i will become the guinea pig that runs into the cage voluntarily.
     
  17. p fandango

    Joined:
    Aug 2, 2014
    Messages:
    600
    Likes Received:
    27
    Location:
    Coventry, UK
    i've got 2 batteries running 2.0 & 2 running 2.6, they all act the same & never had any issues & without going into assistant wouldn't know which battery has which firmware
     
  18. antares

    Joined:
    Oct 28, 2014
    Messages:
    57
    Likes Received:
    8
    Location:
    Philippines
    I guess firmware 2.6.0.0 is more sensitive to cell warnings. You will not experience this until your battery comes closer to load limits. I cannot tell if this is rather a drawback or an advantage. But if an advantage... then why 2.6 has been revoked by DJI?
     
  19. jason

    Joined:
    Oct 12, 2014
    Messages:
    4,104
    Likes Received:
    404
    Location:
    Commerce Twp,MI
    So why haven't you tried to roll back to another version?
     
  20. antares

    Joined:
    Oct 28, 2014
    Messages:
    57
    Likes Received:
    8
    Location:
    Philippines
    There's no way to roll back from 2.6.0.0 to 2.0.0.0. I've tried to use older assistant software, went back to 3.2. No way.